.\"
.\" $Id: modemcontrol.man,v 1.6 1998/02/17 09:53:07 mdejonge Exp $
.\"
.\"   $Source: /home/mdejonge/CVS/projects/modem/modemcontrol/modemcontrol.man,v $
.\" $Revision: 1.6 $
.\"    Author: Merijn de Jonge
.\"     Email: mdejonge@wins.uva.nl
.\" 
.\"  
.\" 
.\" This file is part of the modem communication package.
.\" Copyright (C) 1996-1998  Merijn de Jonge
.\" 
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\" 
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\" 
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\" 
.\" 
.\"
.TH modemcontrol 1 "Jan 13, 1997"
.SH NAME
modemcontrol \- X front-end for all modems on your network.
.SH SYNOPSYS
.B modemcontrol
[-\fItoolkitoption\fP ...] [-\fIoption\fP ...] \fIcmd\fP

.SH DESCRIPTION
The \fImodemcontrol\fP program is a front-end for the modems on your network. 
It gives you
dialogs to enter your phone number, status dialogs indicating
the number of bytes sent and received as well as information about the
elapsed time and type of connection.
After dialing \fImodemcontrol\fP executes a program as specified on the
command line. This program can then send and receive data over the modem. In
this way you can connect a fax, ppp or terminal program to \fImodemcontrol\fP
giving you a transparent access to the modem(s) on your network.

.SH ARGUMENTS
.TP 8
.BI cmd
This argument specifies the program that will be executed after
\fImodemcontrol\fP has established a connection  (see also ppp(1),
xcomm(1)). When the program requires any command line options, both
the program and its options should be placed between quotes. For
example, modemcontrol -c "xterm -ls".

.SH OPTIONS

\fImodemcontrol\fP accepts all of the standard X Toolkit command line
options as well as the following.
.TP 8
.BI -e  " name"
With this option \fImodemcontrol\fP selects the phone number from your
phone books entry \fIname\fP (see phonebook(5)).
.TP 8
.B -h
This causes \fImodemcontrol\fP to print out a verbose message describing its
options.
.TP 8
.B -q
When the phone number can be determined from the entry of
your phone book as specified with the -e option, \fImodemcontrol\fP
will not prompt you to enter a number. Instead it will start dialing.
.TP 8
.B -r
This option indicates that \fImodemcontrol\fP should redial
automatically when the line is busy.
.TP 8
.B -v
Prints the version number of \fImodemcontrol\fP to standard output.
.SH ENVIRONMENT
\fImodemcontrol\fP uses the following environment variables:

.TP 8
.B MODEM_SERVER 
This variable defines the address of a modem server. When
this variable is not defined a default value (defined at compile time
is used). MODEM_SERVER may be the broadcast address of your network
(e.g., for a class C network aa.bb.cc.255).

.TP 8
.B MODEM
This variable is set by \fImodemcontrol\fP and points to the pseudo
terminal that is connected to the remote modem.
Client programs that are executed by \fImodemcontrol\fP should use
this device to communicate with the remote modem.

.SH SEE ALSO
.BR modemd "(1),
.BR ppp "(1), 
.BR xcomm "(1),
.BR phonebook "(5)

.SH AUTHOR
Merijn de Jonge (mdejonge@wins.uva.nl)

.\"
.\" EOF modemcontrol/modemcontrol.man
.\"
